## GtefApplication GtefApplication — An extension of GtkApplication |

## Functions

GtefApplication * | gtef_application_get_from_gtk_application ()
GtefApplication * | gtef_application_get_default ()
GtkApplication * | gtef_application_get_application ()
GtefActionInfoStore * | gtef_application_get_app_action_info_store ()
void | gtef_application_open_simple ()

## Properties

GtkApplication * | application | Read / Write / Construct Only

## Types and Values

| GtefApplication

## Object Hierarchy

        GObject
        ╰── GtefApplication

## Includes

    #include <gtef/gtef.h>

## Description

GtefApplication extends the GtkApplication class.

Note that GtefApplication extends the GtkApplication class but without subclassing it, because several libraries might want to extend GtkApplication and an application needs to be able to use all those extensions at the same time.

## Functions

### gtef_application_get_from_gtk_application ()

    GtefApplication *
    gtef_application_get_from_gtk_application
                                   (GtkApplication *gtk_app);

Returns the GtefApplication of `gtk_app` . The returned object is guaranteed to be the same for the lifetime of `gtk_app` .

#### Parameters

gtk_app | a GtkApplication. |

#### Returns

the GtefApplication of `gtk_app` .

[transfer none]

Since: 2.0

### gtef_application_get_default ()

    GtefApplication *
    gtef_application_get_default (void);

Convenience function that calls `g_application_get_default()` followed by `gtef_application_get_from_gtk_application()`. The object returned by `g_application_get_default()` must be a GtkApplication.

#### Returns

the default GtefApplication.

[transfer none]

Since: 2.0

### gtef_application_get_application ()

    GtkApplication *
    gtef_application_get_application (GtefApplication *gtef_app);

#### Parameters

gtef_app | a GtefApplication. |

#### Returns

the GtkApplication of `gtef_app` .

[transfer none]

Since: 2.0

### gtef_application_get_app_action_info_store ()

    GtefActionInfoStore *
    gtef_application_get_app_action_info_store
                                   (GtefApplication *gtef_app);

Returns an initially empty GtefActionInfoStore reserved for the application-specific actions. Libraries should not add GtefActionInfo's to this store. Libraries should provide their own store if they want to share GtefActionInfo's.

#### Parameters

gtef_app | a GtefApplication. |

#### Returns

the GtefActionInfoStore reserved for the application.

[transfer none]

Since: 2.0

### gtef_application_open_simple ()

    void
    gtef_application_open_simple (GtefApplication *gtef_app,
                                  GFile *file);

Calls `g_application_open()` with a single file and an empty hint.

#### Parameters

gtef_app | a GtefApplication. |
file | a GFile. |

Since: 2.0

## Types and Values

### GtefApplication

    typedef struct _GtefApplication GtefApplication;

## Property Details

### The `“application”` property

      “application”              GtkApplication *

The GtkApplication.

Flags: Read / Write / Construct Only

Since: 2.0

## See Also

GtefActionInfoStore